Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 117434 - sci-mathematics/pari-2.1.7 insecure RUNPATHs/exec stacks/textrels
Summary: sci-mathematics/pari-2.1.7 insecure RUNPATHs/exec stacks/textrels
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Runpath Issues (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [noglsa] DerCorny
Keywords:
: 123557 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-01-02 03:19 UTC by Ernestas Liubarskij
Modified: 2006-06-08 05:06 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch for pari-2.1.7 ebuild to remove insecure RUNPATHS (pari-2.1.7.ebuild-remove-insecure-runpath.patch,830 bytes, patch)
2006-01-19 19:42 UTC, Markus Dittrich (RETIRED)
Details | Diff
patch to remove executable stack (pari-non-exec-stack-x86-gentoo.patch,345 bytes, patch)
2006-01-19 19:44 UTC, Markus Dittrich (RETIRED)
Details | Diff
updated patch for pari-2.1.7.ebuild (updated-patch-for-pari-2.1.7.patch,842 bytes, patch)
2006-01-21 07:58 UTC, Markus Dittrich (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ernestas Liubarskij 2006-01-02 03:19:10 UTC
sci-mathematics/pari-2.1.7 emerge fails with the following message:

#emerge -av sci-mathematics/pari

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild  N    ] sci-mathematics/pari-2.1.7  USE="-doc -emacs" 0 kB

Total size of downloads: 0 kB

Do you want me to merge these packages? [Yes/No]
>>> emerge (1 of 1) sci-mathematics/pari-2.1.7 to /
>>> checksums files   ;-) pari-2.1.5-r4.ebuild
>>> checksums files   ;-) pari-2.1.6.ebuild
>>> checksums files   ;-) pari-2.1.7.ebuild
>>> checksums files   ;-) files/docs.patch
>>> checksums files   ;-) files/digest-pari-2.1.5-r4
>>> checksums files   ;-) files/wrong_functype.patch
>>> checksums files   ;-) files/digest-pari-2.1.6
>>> checksums files   ;-) files/digest-pari-2.1.7
>>> checksums files   ;-) files/wrong_functype-r1.patch
>>> checksums src_uri ;-) pari-2.1.7.tgz
>>> Unpacking source...
>>> Unpacking pari-2.1.7.tgz to /var/tmp/portage/pari-2.1.7/work
 * Applying docs.patch ...                                                [ ok ]>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/pari-2.1.7/work/pari-2.1.7 ...
i686-pc-linux-gnu-as
i686-pc-linux-gnu-ld
i686-pc-linux-gnu-gcc
i686-pc-linux-gnu-g++
 * Building for i686-linux
true
Configuring pari-2.1.7 (STABLE)
Checking echo to see how to suppress newlines...
...using -n.
Looking for some tools first ...
...ld is /usr/bin/ld
...zcat is /bin/zcat
...gzip is /bin/gzip
...ranlib is /usr/bin/ranlib
...perl is /usr/bin/perl
...I could not find emacs.
Building for architecture: i686 running linux (ix86 kernel)
Checking for optional libraries and headers...
...Found libreadline in /lib
...Found libncurses in /lib
...Found GNU readline header in /usr/include/readline
...Library ncurses needed by readline
GNU compiler version 3.4.5 (Gentoo 3.4.5, ssp-3.4.5-1.0, pie-8.7.9)
C compiler is          i686-pc-linux-gnu-gcc  -O3 -DGCC_INLINE -Wall -Wno-implicit -fomit-frame-pointer
...Hum, this looks like GNU as
Assembler is           i686-pc-linux-gnu-as
C PreProcessor is      i686-pc-linux-gnu-gcc  -E -I.
Executable linker is   i686-pc-linux-gnu-gcc  -O3 -DGCC_INLINE -Wall -Wno-implicit -fomit-frame-pointer   -Xlinker -export-dynamic
...Hum, this looks like GNU ld
Dynamic Lib linker is  /usr/bin/ld  -shared -soname $(LIBPARI_SONAME) -lc -lm
Given the previous choices, sizeof(long) is 4 chars.
The internal word representation of a double is l[1], l[0].
==========================================================================
Checking some common types...
...Found ulong.
Looking in C lib for some symbols...
...I did not find exp2.
...Found strftime.
...Found getrusage.
...Found sigrelse.
...I did not find TIOCGWINSZ.
...Found getrlimit.
...Found opendir.
...I did not find vsnprintf.
...I did not find dlopen.
Try again, with -ldl this time...
...Found dlopen.
Installation prefix ? [/usr]
...for architecture-independant files (share-prefix) ? []
..."gp" executable ? [/usr/bin]
..."pari" library ? [/usr/lib]
...include files ? [/usr/include/pari]
...manual pages ? [/usr/share/man/man1]
...documentation, examples, and emacs macros ? [/usr/share/doc/pari-2.1.7]
...miscellaneous data (galois resolvents) ? [/usr/share/pari-2.1.7]
Default is dynamic executable and shared library, graphic=none
==========================================================================
Extracting examples/Makefile.linux-i686
Extracting Olinux-i686/Makefile
Extracting Olinux-i686/../Odos/paricfg.h
Extracting Olinux-i686/paricfg.h
Extracting Makefile
Extracting scripts and macros
...in doc
...in emacs
...in misc
==========================================================================
Shall we try to build pari 2.1.7 (released) now (y/n)? [n]
Ok. Type "make install" when you are ready
Bye !
 * Building shared library...
i686-pc-linux-gnu-gcc  -E -I. ../src/kernel/ix86/l0asm.c | sed -e '/^#/d' -e '/^ *#line/d' -e 's/%  */%/g' > level0.s
cat ../src/kernel/ix86/level0.h ../src/kernel/none/level1.h > pariinl.h
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers -o mp.o ../src/kernel/none/mp.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o alglin1.o ../src/basemath/alglin1.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o alglin2.o ../src/basemath/alglin2.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o arith1.o ../src/basemath/arith1.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o arith2.o ../src/basemath/arith2.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o base1.o ../src/basemath/base1.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o base2.o ../src/basemath/base2.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o base3.o ../src/basemath/base3.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o base4.o ../src/basemath/base4.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o base5.o ../src/basemath/base5.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o bibli1.o ../src/basemath/bibli1.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o bibli2.o ../src/basemath/bibli2.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o buch1.o ../src/basemath/buch1.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o buch2.o ../src/basemath/buch2.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o buch3.o ../src/basemath/buch3.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o buch4.o ../src/basemath/buch4.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o galconj.o ../src/basemath/galconj.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o gen1.o ../src/basemath/gen1.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o gen2.o ../src/basemath/gen2.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o gen3.o ../src/basemath/gen3.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o ifactor1.o ../src/basemath/ifactor1.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o polarit1.o ../src/basemath/polarit1.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o polarit2.o ../src/basemath/polarit2.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o polarit3.o ../src/basemath/polarit3.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o rootpol.o ../src/basemath/rootpol.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o subgroup.o ../src/basemath/subgroup.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o trans1.o ../src/basemath/trans1.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o trans2.o ../src/basemath/trans2.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o trans3.o ../src/basemath/trans3.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o elliptic.o ../src/modules/elliptic.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o galois.o ../src/modules/galois.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o kummer.o ../src/modules/kummer.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o mpqs.o ../src/modules/mpqs.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o nffactor.o ../src/modules/nffactor.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o stark.o ../src/modules/stark.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o subfield.o ../src/modules/subfield.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o thue.o ../src/modules/thue.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o anal.o ../src/language/anal.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o compat.o ../src/language/compat.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o errmsg.o ../src/language/errmsg.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o es.o ../src/language/es.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o helpmsg.o ../src/language/helpmsg.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o init.o ../src/language/init.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o sumiter.o ../src/language/sumiter.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers -o mpinl.o ../src/kernel/none/level1.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers -o kernel.o level0.s
rm -f libpari.so.2.1.7
/usr/bin/ld -o libpari.so.2.1.7 -shared -soname libpari.so.1 -lc -lm kernel.o mp.o alglin1.o alglin2.o arith1.o arith2.o base1.o base2.o base3.o base4.o base5.o bibli1.o bibli2.o buch1.o buch2.o buch3.o buch4.o galconj.o gen1.o gen2.o gen3.o ifactor1.o polarit1.o polarit2.o polarit3.o rootpol.o subgroup.o trans1.o trans2.o trans3.o elliptic.o galois.o kummer.o mpqs.o nffactor.o stark.o subfield.o thue.o anal.o compat.o errmsg.o es.o helpmsg.o init.o sumiter.o mpinl.o
/usr/bin/ld: warning: creating a DT_TEXTREL in object.
rm -f libpari.so.1
rm -f libpari.so
ln -s libpari.so.2.1.7 libpari.so.1
ln -s libpari.so.2.1.7 libpari.so
 * Building executables...
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -I. -I../src/headers -I../src/language -I/usr/include -o gp.o ../src/gp/gp.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -I. -I../src/headers -I../src/graph -o gp_init.o ../src/gp/gp_init.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -I. -I../src/headers -I../src/language -I/usr/include -o gp_rl.o ../src/gp/gp_rl.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -I. -I../src/headers  -o highlvl.o ../src/gp/highlvl.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -I. -I../src/headers  -o whatnow.o ../src/gp/whatnow.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -I. -I../src/headers  -o plot.o ../src/graph/plotnull.c
i686-pc-linux-gnu-gcc -c -O3 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -I. -I../src/headers -I../src/graph -o plotport.o ../src/graph/plotport.c
rm -f gp-dyn
i686-pc-linux-gnu-gcc -o gp-dyn -O3 -DGCC_INLINE -Wall -Wno-implicit -fomit-frame-pointer   -Xlinker -export-dynamic gp.o gp_init.o gp_rl.o highlvl.o whatnow.o plot.o plotport.o  -Xlinker -rpath -Xlinker  /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/Olinux-i686:/usr/lib: -L/var/tmp/portage/pari-2.1.7/work/pari-2.1.7/Olinux-i686 -L/lib -lreadline -lncurses -L/usr/lib -lpari  -ldl -lm
rm -f ../gp
ln -s Olinux-i686/gp-dyn ../gp
make: `../gp' is up to date.
>>> Source compiled.
>>> Test phase [not enabled]: sci-mathematics/pari-2.1.7

>>> Install pari-2.1.7 into /var/tmp/portage/pari-2.1.7/image/ category sci-mathematics
cd Olinux-i686; make install
make[1]: Entering directory `/var/tmp/portage/pari-2.1.7/work/pari-2.1.7/Olinux-i686'
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/lib
rm -f /var/tmp/portage/pari-2.1.7/image//usr/lib/libpari.so.2.1.7
../config/install libpari.so.2.1.7 /var/tmp/portage/pari-2.1.7/image//usr/lib/libpari.so.2.1.7
rm -f /var/tmp/portage/pari-2.1.7/image//usr/lib/libpari.so.1
rm -f /var/tmp/portage/pari-2.1.7/image//usr/lib/libpari.so
ln -s libpari.so.2.1.7 /var/tmp/portage/pari-2.1.7/image//usr/lib/libpari.so.1
ln -s libpari.so.2.1.7 /var/tmp/portage/pari-2.1.7/image//usr/lib/libpari.so
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/include/pari
../config/install -m 644 paricfg.h                 /var/tmp/portage/pari-2.1.7/image//usr/include/pari
for i in pariinl; do \
   ../config/install -m 644 $i.h                /var/tmp/portage/pari-2.1.7/image//usr/include/pari; done
for i in pari paritype paricast paricom parierr parigen paristio parisys pariport paridecl; do \
   ../config/install -m 644 ../src/headers/$i.h   /var/tmp/portage/pari-2.1.7/image//usr/include/pari; done
rm -f /var/tmp/portage/pari-2.1.7/image//usr/include/pari/genpari.h
ln -s pari.h /var/tmp/portage/pari-2.1.7/image//usr/include/pari/genpari.h
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/bin
rm -f /var/tmp/portage/pari-2.1.7/image//usr/bin/gp-2.1 /var/tmp/portage/pari-2.1.7/image//usr/bin/gp
i686-pc-linux-gnu-gcc -o /var/tmp/portage/pari-2.1.7/image//usr/bin/gp-2.1 -O3 -DGCC_INLINE -Wall -Wno-implicit -fomit-frame-pointer   -Xlinker -export-dynamic gp.o gp_init.o gp_rl.o highlvl.o whatnow.o plot.o plotport.o -Xlinker -rpath -Xlinker  /usr/lib: -L/var/tmp/portage/pari-2.1.7/work/pari-2.1.7/Olinux-i686 -L/lib -lreadline -lncurses -L/usr/lib -lpari  -ldl -lm
strip  /var/tmp/portage/pari-2.1.7/image//usr/bin/gp-2.1
ln -s gp-2.1 /var/tmp/portage/pari-2.1.7/image//usr/bin/gp
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/share/man/man1
../config/install -m 644 ../doc/gphelp.1 /var/tmp/portage/pari-2.1.7/image//usr/share/man/man1
../config/install -m 644 ../doc/gp.1 /var/tmp/portage/pari-2.1.7/image//usr/share/man/man1
rm -f /var/tmp/portage/pari-2.1.7/image//usr/share/man/man1/pari.1
ln -s gp.1 /var/tmp/portage/pari-2.1.7/image//usr/share/man/man1/pari.1
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/AUTHORS   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/Announce.2.1 /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/CHANGES   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/COMPAT   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/COPYING   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/CVS.txt   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/MACHINES   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/NEW   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/README   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/TODO   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc /var/tmp/portage/pari-2.1.7/image//usr/bin
../config/install ../misc/tex2mail /var/tmp/portage/pari-2.1.7/image//usr/bin
../config/install -m 644 ../doc/tex2mail.1 /var/tmp/portage/pari-2.1.7/image//usr/share/man/man1
../config/install -m 644 ../misc/README    /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc
../config/install -m 644 ../misc/color.dft /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc
../config/install -m 644 ../misc/gpalias   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc
../config/install ../misc/gpflog /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc
../config/install -m 644 ../misc/gprc.dft  /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc
../config/install -m 644 ../misc/new.dic   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc
../config/install -m 644 ../misc/pari.xpm  /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc
../config/install ../misc/xgp    /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/share/pari-2.1.7
for f in ../data/*; do ../config/install -m 644  $f /var/tmp/portage/pari-2.1.7/image//usr/share/pari-2.1.7; done 2>/dev/null
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/bin /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
cd ../doc; make all
make[2]: Entering directory `/var/tmp/portage/pari-2.1.7/work/pari-2.1.7/doc'
rm -f wantpdfoutput
rm -f users.std; tex users;
/bin/sh: tex: command not found
make[2]: *** [users.dvi] Error 127
make[2]: Leaving directory `/var/tmp/portage/pari-2.1.7/work/pari-2.1.7/doc'
make[1]: [install-doc] Error 2 (ignored)
../config/install ../doc/gphelp    /var/tmp/portage/pari-2.1.7/image//usr/bin
../config/install -m 644 ../doc/Makefile     /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/translations /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/appa.tex     /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/appb.tex     /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/appc.tex     /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/paricfg.tex.in /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/parimacro.tex /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/pdfmacs.tex  /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/refcard.tex  /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/tutorial.tex /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/users.tex    /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/usersch1.tex /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/usersch2.tex /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/usersch3.tex /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/usersch4.tex /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/usersch5.tex /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/paricfg.tex  /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/users.dvi    /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
cp: cannot stat `../doc/users.dvi': No such file or directory
../config/install -m 644 ../doc/tutorial.dvi /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
cp: cannot stat `../doc/tutorial.dvi': No such file or directory
../config/install -m 644 ../doc/refcard.dvi  /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
cp: cannot stat `../doc/refcard.dvi': No such file or directory
../config/install -m 644 ../doc/refcard.ps   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
cp: cannot stat `../doc/refcard.ps': No such file or directory
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/EXPLAIN     /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/Inputrc     /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/Makefile    /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/bench.gp    /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/cl.gp       /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/classno.gp  /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/contfrac.gp /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/lucas.gp    /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/matexp.c    /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/rho.gp      /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/squfof.gp   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/taylor.gp   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
make[1]: Leaving directory `/var/tmp/portage/pari-2.1.7/work/pari-2.1.7/Olinux-i686'
man:
gzipping man page: gp.1
gzipping man page: tex2mail.1
fixing man page symlink: pari.1.gz
removing old symlink: pari.1
gzipping man page: gphelp.1
prepallstrip:
strip: i686-pc-linux-gnu-strip --strip-unneeded
   /usr/bin/gp-2.1
   /usr/lib/libpari.so.2.1.7

QA Notice: the following files contain insecure RUNPATH's
 Please file a bug about this at http://bugs.gentoo.org/
 For more information on this issue, kindly review:
 http://bugs.gentoo.org/81745
/usr/lib: usr/bin/gp-2.1


QA Notice: the following files contain runtime text relocations
 Text relocations force the dynamic linker to perform extra
 work at startup, waste system resources, and may pose a security
 risk.  On some architectures, the code may not even function
 properly, if at all.
TEXTREL usr/lib/libpari.so.2.1.7


QA Notice: the following files contain executable stacks
 Files with executable stacks will not work properly (or at all!)
 on some architectures/operating systems.  A bug should be filed
 at http://bugs.gentoo.org/ to make sure the file is fixed.
RWX --- --- usr/lib/libpari.so.2.1.7


!!! ERROR: sci-mathematics/pari-2.1.7 failed.
!!! Function dyn_install, Line 1094, Exitcode 0
!!! Aborting due to serious QA concerns with RUNPATH/RPATH
!!! If you need support, post the topmost build error, NOT this status message.

#emerge --info
Portage 2.1_pre3-r1 (default-linux/x86/2005.1, gcc-3.4.5, glibc-2.3.5-r3, 2.6.14-gentoo-r6 i686)
=================================================================
System uname: 2.6.14-gentoo-r6 i686 Intel(R) Celeron(R) CPU 2.00GHz
Gentoo Base System version 1.12.0_pre12
ccache version 2.4 [enabled]
dev-lang/python:     2.3.5-r2, 2.4.2
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1-r1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r3
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=pentium4 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/lib/mozilla/defaults/pref /usr/share/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O3 -march=pentium4 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://trumpetti.atm.tut.fi/gentoo/ ftp://ftp.dtiltas.lt/mirror/gentoo/ http://pandemonium.tiscali.de/pub/gentoo/"
LC_ALL="lt_LT.utf8"
LINGUAS="lt"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X a52 aac aalib acpi alsa apm artworkextra asf audiofile avi bash-completion berkdb bitmap-fonts browserplugin bzip2 cdb cdparanoia cdr chroot crypt curl dbus dri dv dvd dvdread eds emboss encode exif expat fam ffmpeg firefox flac foomaticdb fortran gd gdbm gif glut gnome gnutls gpm gstreamer gtk gtk2 hal howl idn imagemagick imlib irssi java javascript jpeg lame lcms libg++ libwww live logrotate mad matroska mikmod mjpeg mmx mmxext mng motif mozilla mp3 mpeg mplayer nautilus ncurses network nls nptl nsplugin numeric nvidia offensive ogg oggvorbis openal opengl oss pam pcre pdflib perl pic png python quicktime readline real recode sdl shorten spell sse sse2 ssl symlink tcpd tiff truetype truetype-fonts type1-fonts udev unicode usb vcd vidix vorbis win32codecs wxwindows xchat xine xml xml2 xv xvid zlib elibc_glibc kernel_linux linguas_lt userland_GNU"
Unset:  ASFLAGS, CTARGET, LANG, LDFLAGS, PORTDIR_OVERLAY
Comment 1 Markus Dittrich (RETIRED) gentoo-dev 2006-01-03 12:48:54 UTC
I've done some testing on my system which is very similar to yours. 
I do not have the RUNPATH  issue and I don't understand why portage 
complains since /usr/lib should be a fine RPATH and scanelf which is
used by portage has no problems with gp on my system

[markus@fenris] scanelf -qyRF '%t %p' /usr/bin/gp-2.1

Could you please try running the above command on your
system and report back!

The textrel/executable stack are caused by -O3 as far as I can tell.
Could you please try recompiling with -O2 and report back.

Thanks,
Markus
Comment 2 Ernestas Liubarskij 2006-01-03 23:54:58 UTC
That command didn't return anything:
UFO martian # scanelf -qyRF '%t %p' /usr/bin/gp-2.1
UFO martian #

And when I tryed to compile pari with -O2 it returned that error again..

>>> emerge (1 of 16) sci-mathematics/pari-2.1.7 to /
>>> checksums files   ;-) pari-2.1.5-r4.ebuild
>>> checksums files   ;-) pari-2.1.6.ebuild
>>> checksums files   ;-) pari-2.1.7.ebuild
>>> checksums files   ;-) files/docs.patch
>>> checksums files   ;-) files/digest-pari-2.1.5-r4
>>> checksums files   ;-) files/wrong_functype.patch
>>> checksums files   ;-) files/digest-pari-2.1.6
>>> checksums files   ;-) files/digest-pari-2.1.7
>>> checksums files   ;-) files/wrong_functype-r1.patch
>>> checksums src_uri ;-) pari-2.1.7.tgz
>>> Unpacking source...
>>> Unpacking pari-2.1.7.tgz to /var/tmp/portage/pari-2.1.7/work
 * Applying docs.patch ...                                                [ ok ]>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/pari-2.1.7/work/pari-2.1.7 ...
i686-pc-linux-gnu-as
i686-pc-linux-gnu-ld
i686-pc-linux-gnu-gcc
i686-pc-linux-gnu-g++
 * Building for i686-linux
true
Configuring pari-2.1.7 (STABLE)
Checking echo to see how to suppress newlines...
...using -n.
Looking for some tools first ...
...ld is /usr/bin/ld
...zcat is /bin/zcat
...gzip is /bin/gzip
...ranlib is /usr/bin/ranlib
...perl is /usr/bin/perl
...I could not find emacs.
Building for architecture: i686 running linux (ix86 kernel)
Checking for optional libraries and headers...
...Found libreadline in /lib
...Found libncurses in /lib
...Found GNU readline header in /usr/include/readline
...Library ncurses needed by readline
GNU compiler version 3.4.5 (Gentoo 3.4.5, ssp-3.4.5-1.0, pie-8.7.9)
C compiler is          i686-pc-linux-gnu-gcc  -O3 -DGCC_INLINE -Wall -Wno-implicit -fomit-frame-pointer
...Hum, this looks like GNU as
Assembler is           i686-pc-linux-gnu-as
C PreProcessor is      i686-pc-linux-gnu-gcc  -E -I.
Executable linker is   i686-pc-linux-gnu-gcc  -O3 -DGCC_INLINE -Wall -Wno-implicit -fomit-frame-pointer   -Xlinker -export-dynamic
...Hum, this looks like GNU ld
Dynamic Lib linker is  /usr/bin/ld  -shared -soname $(LIBPARI_SONAME) -lc -lm
Given the previous choices, sizeof(long) is 4 chars.
The internal word representation of a double is l[1], l[0].
==========================================================================
Checking some common types...
...Found ulong.
Looking in C lib for some symbols...
...I did not find exp2.
...Found strftime.
...Found getrusage.
...Found sigrelse.
...I did not find TIOCGWINSZ.
...Found getrlimit.
...Found opendir.
...I did not find vsnprintf.
...I did not find dlopen.
Try again, with -ldl this time...
...Found dlopen.
Installation prefix ? [/usr]
...for architecture-independant files (share-prefix) ? []
..."gp" executable ? [/usr/bin]
..."pari" library ? [/usr/lib]
...include files ? [/usr/include/pari]
...manual pages ? [/usr/share/man/man1]
...documentation, examples, and emacs macros ? [/usr/share/doc/pari-2.1.7]
...miscellaneous data (galois resolvents) ? [/usr/share/pari-2.1.7]
Default is dynamic executable and shared library, graphic=none
==========================================================================
Extracting examples/Makefile.linux-i686
Extracting Olinux-i686/Makefile
Extracting Olinux-i686/../Odos/paricfg.h
Extracting Olinux-i686/paricfg.h
Extracting Makefile
Extracting scripts and macros
...in doc
...in emacs
...in misc
==========================================================================
Shall we try to build pari 2.1.7 (released) now (y/n)? [n]
Ok. Type "make install" when you are ready
Bye !
 * Building shared library...
i686-pc-linux-gnu-gcc  -E -I. ../src/kernel/ix86/l0asm.c | sed -e '/^#/d' -e '/^ *#line/d' -e 's/%  */%/g' > level0.s
cat ../src/kernel/ix86/level0.h ../src/kernel/none/level1.h > pariinl.h
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers -o mp.o ../src/kernel/none/mp.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o alglin1.o ../src/basemath/alglin1.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o alglin2.o ../src/basemath/alglin2.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o arith1.o ../src/basemath/arith1.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o arith2.o ../src/basemath/arith2.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o base1.o ../src/basemath/base1.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o base2.o ../src/basemath/base2.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o base3.o ../src/basemath/base3.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o base4.o ../src/basemath/base4.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o base5.o ../src/basemath/base5.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o bibli1.o ../src/basemath/bibli1.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o bibli2.o ../src/basemath/bibli2.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o buch1.o ../src/basemath/buch1.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o buch2.o ../src/basemath/buch2.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o buch3.o ../src/basemath/buch3.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o buch4.o ../src/basemath/buch4.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o galconj.o ../src/basemath/galconj.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o gen1.o ../src/basemath/gen1.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o gen2.o ../src/basemath/gen2.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o gen3.o ../src/basemath/gen3.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o ifactor1.o ../src/basemath/ifactor1.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o polarit1.o ../src/basemath/polarit1.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o polarit2.o ../src/basemath/polarit2.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o polarit3.o ../src/basemath/polarit3.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o rootpol.o ../src/basemath/rootpol.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o subgroup.o ../src/basemath/subgroup.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o trans1.o ../src/basemath/trans1.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o trans2.o ../src/basemath/trans2.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o trans3.o ../src/basemath/trans3.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o elliptic.o ../src/modules/elliptic.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o galois.o ../src/modules/galois.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o kummer.o ../src/modules/kummer.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o mpqs.o ../src/modules/mpqs.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o nffactor.o ../src/modules/nffactor.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o stark.o ../src/modules/stark.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o subfield.o ../src/modules/subfield.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o thue.o ../src/modules/thue.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o anal.o ../src/language/anal.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o compat.o ../src/language/compat.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o errmsg.o ../src/language/errmsg.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o es.o ../src/language/es.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o helpmsg.o ../src/language/helpmsg.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o init.o ../src/language/init.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers  -o sumiter.o ../src/language/sumiter.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers -o mpinl.o ../src/kernel/none/level1.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -fPIC -I. -I../src/headers -o kernel.o level0.s
rm -f libpari.so.2.1.7
/usr/bin/ld -o libpari.so.2.1.7 -shared -soname libpari.so.1 -lc -lm kernel.o mp.o alglin1.o alglin2.o arith1.o arith2.o base1.o base2.o base3.o base4.o base5.o bibli1.o bibli2.o buch1.o buch2.o buch3.o buch4.o galconj.o gen1.o gen2.o gen3.o ifactor1.o polarit1.o polarit2.o polarit3.o rootpol.o subgroup.o trans1.o trans2.o trans3.o elliptic.o galois.o kummer.o mpqs.o nffactor.o stark.o subfield.o thue.o anal.o compat.o errmsg.o es.o helpmsg.o init.o sumiter.o mpinl.o
/usr/bin/ld: warning: creating a DT_TEXTREL in object.
rm -f libpari.so.1
rm -f libpari.so
ln -s libpari.so.2.1.7 libpari.so.1
ln -s libpari.so.2.1.7 libpari.so
 * Building executables...
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -I. -I../src/headers -I../src/language -I/usr/include -o gp.o ../src/gp/gp.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -I. -I../src/headers -I../src/graph -o gp_init.o ../src/gp/gp_init.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -I. -I../src/headers -I../src/language -I/usr/include -o gp_rl.o ../src/gp/gp_rl.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -I. -I../src/headers  -o highlvl.o ../src/gp/highlvl.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -I. -I../src/headers  -o whatnow.o ../src/gp/whatnow.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -I. -I../src/headers  -o plot.o ../src/graph/plotnull.c
i686-pc-linux-gnu-gcc -c -O2 -march=pentium4 -pipe -fomit-frame-pointer -DGCC_INLINE -I. -I../src/headers -I../src/graph -o plotport.o ../src/graph/plotport.c
rm -f gp-dyn
i686-pc-linux-gnu-gcc -o gp-dyn -O3 -DGCC_INLINE -Wall -Wno-implicit -fomit-frame-pointer   -Xlinker -export-dynamic gp.o gp_init.o gp_rl.o highlvl.o whatnow.o plot.o plotport.o  -Xlinker -rpath -Xlinker  /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/Olinux-i686:/usr/lib: -L/var/tmp/portage/pari-2.1.7/work/pari-2.1.7/Olinux-i686 -L/lib -lreadline -lncurses -L/usr/lib -lpari  -ldl -lm
rm -f ../gp
ln -s Olinux-i686/gp-dyn ../gp
make: `../gp' is up to date.
>>> Source compiled.
>>> Test phase [not enabled]: sci-mathematics/pari-2.1.7

>>> Install pari-2.1.7 into /var/tmp/portage/pari-2.1.7/image/ category sci-mathematics
cd Olinux-i686; make install
make[1]: Entering directory `/var/tmp/portage/pari-2.1.7/work/pari-2.1.7/Olinux-i686'
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/lib
rm -f /var/tmp/portage/pari-2.1.7/image//usr/lib/libpari.so.2.1.7
../config/install libpari.so.2.1.7 /var/tmp/portage/pari-2.1.7/image//usr/lib/libpari.so.2.1.7
rm -f /var/tmp/portage/pari-2.1.7/image//usr/lib/libpari.so.1
rm -f /var/tmp/portage/pari-2.1.7/image//usr/lib/libpari.so
ln -s libpari.so.2.1.7 /var/tmp/portage/pari-2.1.7/image//usr/lib/libpari.so.1
ln -s libpari.so.2.1.7 /var/tmp/portage/pari-2.1.7/image//usr/lib/libpari.so
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/include/pari
../config/install -m 644 paricfg.h                 /var/tmp/portage/pari-2.1.7/image//usr/include/pari
for i in pariinl; do \
   ../config/install -m 644 $i.h                /var/tmp/portage/pari-2.1.7/image//usr/include/pari; done
for i in pari paritype paricast paricom parierr parigen paristio parisys pariport paridecl; do \
   ../config/install -m 644 ../src/headers/$i.h   /var/tmp/portage/pari-2.1.7/image//usr/include/pari; done
rm -f /var/tmp/portage/pari-2.1.7/image//usr/include/pari/genpari.h
ln -s pari.h /var/tmp/portage/pari-2.1.7/image//usr/include/pari/genpari.h
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/bin
rm -f /var/tmp/portage/pari-2.1.7/image//usr/bin/gp-2.1 /var/tmp/portage/pari-2.1.7/image//usr/bin/gp
i686-pc-linux-gnu-gcc -o /var/tmp/portage/pari-2.1.7/image//usr/bin/gp-2.1 -O3 -DGCC_INLINE -Wall -Wno-implicit -fomit-frame-pointer   -Xlinker -export-dynamic gp.o gp_init.o gp_rl.o highlvl.o whatnow.o plot.o plotport.o -Xlinker -rpath -Xlinker  /usr/lib: -L/var/tmp/portage/pari-2.1.7/work/pari-2.1.7/Olinux-i686 -L/lib -lreadline -lncurses -L/usr/lib -lpari  -ldl -lm
strip  /var/tmp/portage/pari-2.1.7/image//usr/bin/gp-2.1
ln -s gp-2.1 /var/tmp/portage/pari-2.1.7/image//usr/bin/gp
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/share/man/man1
../config/install -m 644 ../doc/gphelp.1 /var/tmp/portage/pari-2.1.7/image//usr/share/man/man1
../config/install -m 644 ../doc/gp.1 /var/tmp/portage/pari-2.1.7/image//usr/share/man/man1
rm -f /var/tmp/portage/pari-2.1.7/image//usr/share/man/man1/pari.1
ln -s gp.1 /var/tmp/portage/pari-2.1.7/image//usr/share/man/man1/pari.1
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/AUTHORS   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/Announce.2.1 /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/CHANGES   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/COMPAT   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/COPYING   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/CVS.txt   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/MACHINES   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/NEW   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/README   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
../config/install -m 644 /var/tmp/portage/pari-2.1.7/work/pari-2.1.7/TODO   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc /var/tmp/portage/pari-2.1.7/image//usr/bin
../config/install ../misc/tex2mail /var/tmp/portage/pari-2.1.7/image//usr/bin
../config/install -m 644 ../doc/tex2mail.1 /var/tmp/portage/pari-2.1.7/image//usr/share/man/man1
../config/install -m 644 ../misc/README    /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc
../config/install -m 644 ../misc/color.dft /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc
../config/install -m 644 ../misc/gpalias   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc
../config/install ../misc/gpflog /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc
../config/install -m 644 ../misc/gprc.dft  /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc
../config/install -m 644 ../misc/new.dic   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc
../config/install -m 644 ../misc/pari.xpm  /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc
../config/install ../misc/xgp    /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/misc
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/share/pari-2.1.7
for f in ../data/*; do ../config/install -m 644  $f /var/tmp/portage/pari-2.1.7/image//usr/share/pari-2.1.7; done 2>/dev/null
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/bin /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
cd ../doc; make all
make[2]: Entering directory `/var/tmp/portage/pari-2.1.7/work/pari-2.1.7/doc'
rm -f wantpdfoutput
rm -f users.std; tex users;
/bin/sh: tex: command not found
make[2]: *** [users.dvi] Error 127
make[2]: Leaving directory `/var/tmp/portage/pari-2.1.7/work/pari-2.1.7/doc'
make[1]: [install-doc] Error 2 (ignored)
../config/install ../doc/gphelp    /var/tmp/portage/pari-2.1.7/image//usr/bin
../config/install -m 644 ../doc/Makefile     /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/translations /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/appa.tex     /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/appb.tex     /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/appc.tex     /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/paricfg.tex.in /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/parimacro.tex /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/pdfmacs.tex  /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/refcard.tex  /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/tutorial.tex /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/users.tex    /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/usersch1.tex /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/usersch2.tex /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/usersch3.tex /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/usersch4.tex /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/usersch5.tex /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/paricfg.tex  /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
../config/install -m 644 ../doc/users.dvi    /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
cp: cannot stat `../doc/users.dvi': No such file or directory
../config/install -m 644 ../doc/tutorial.dvi /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
cp: cannot stat `../doc/tutorial.dvi': No such file or directory
../config/install -m 644 ../doc/refcard.dvi  /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
cp: cannot stat `../doc/refcard.dvi': No such file or directory
../config/install -m 644 ../doc/refcard.ps   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/doc
cp: cannot stat `../doc/refcard.ps': No such file or directory
mkdir -p /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/EXPLAIN     /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/Inputrc     /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/Makefile    /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/bench.gp    /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/cl.gp       /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/classno.gp  /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/contfrac.gp /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/lucas.gp    /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/matexp.c    /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/rho.gp      /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/squfof.gp   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
../config/install -m 644 ../examples/taylor.gp   /var/tmp/portage/pari-2.1.7/image//usr/share/doc/pari-2.1.7/examples
make[1]: Leaving directory `/var/tmp/portage/pari-2.1.7/work/pari-2.1.7/Olinux-i686'
man:
gzipping man page: gp.1
gzipping man page: tex2mail.1
fixing man page symlink: pari.1.gz
removing old symlink: pari.1
gzipping man page: gphelp.1
prepallstrip:
strip: i686-pc-linux-gnu-strip --strip-unneeded
   /usr/bin/gp-2.1
   /usr/lib/libpari.so.2.1.7

QA Notice: the following files contain insecure RUNPATH's
 Please file a bug about this at http://bugs.gentoo.org/
 For more information on this issue, kindly review:
 http://bugs.gentoo.org/81745
/usr/lib: usr/bin/gp-2.1


QA Notice: the following files contain runtime text relocations
 Text relocations force the dynamic linker to perform extra
 work at startup, waste system resources, and may pose a security
 risk.  On some architectures, the code may not even function
 properly, if at all.
TEXTREL usr/lib/libpari.so.2.1.7


QA Notice: the following files contain executable stacks
 Files with executable stacks will not work properly (or at all!)
 on some architectures/operating systems.  A bug should be filed
 at http://bugs.gentoo.org/ to make sure the file is fixed.
RWX --- --- usr/lib/libpari.so.2.1.7


!!! ERROR: sci-mathematics/pari-2.1.7 failed.
!!! Function dyn_install, Line 1094, Exitcode 0
!!! Aborting due to serious QA concerns with RUNPATH/RPATH
!!! If you need support, post the topmost build error, NOT this status message.

And that command didn't return anything again:

UFO martian # scanelf -qyRF '%t %p' /usr/bin/gp-2.1
UFO martian #
Comment 3 Markus Dittrich (RETIRED) gentoo-dev 2006-01-10 07:32:27 UTC
Could you please post the content of your /etc/ld.so.conf file!
Somehow /usr/lib must be missing since scanelf complains about it.

BTW: Before I posted the wrong scanelf command. It should have been
scanelf -qyRF '%r %p'. Sorry about that!
Comment 4 Ernestas Liubarskij 2006-01-10 08:17:42 UTC
Ok.

UFO martian # cat /etc/ld.so.conf
# ld.so.conf autogenerated by env-update; make all changes to
# contents of /etc/env.d directory
/usr/local/lib
//usr/lib/opengl/nvidia/lib
/usr/i686-pc-linux-gnu/lib
/usr/lib/gcc/i686-pc-linux-gnu/3.4.5
/usr/lib/mozilla
/usr/lib/openmotif-2.2
/opt/sun-jdk-1.4.2.10/jre/lib/i386/
/opt/sun-jdk-1.4.2.10/jre/lib/i386/native_threads/
/opt/sun-jdk-1.4.2.10/jre/lib/i386/classic/
/opt/sun-jdk-1.4.2.10/jre/lib/i386/server/
/usr/lib/nspr
/usr/lib/nss
/usr/games/lib
/usr/lib/fltk-1.1
/usr/lib/libstdc++-v3/
UFO martian #

And I doesn't have /usr/bin/gp-2.1, and I think because pari isn't completely installed and portage didn't install that bin. The command reports nothing, as in the previous comment.
Comment 5 Markus Dittrich (RETIRED) gentoo-dev 2006-01-10 08:25:47 UTC
Ahh:) So you actually don't have /usr/lib in /etc/ld.so.conf and that's why
scanelf is unhappy. Please re-run env-update and see if this brings /usr/lib
back into /etc/ld.so.conf.

Thanks,
Markus
Comment 6 Ernestas Liubarskij 2006-01-10 08:33:17 UTC
No, it doesn't...

UFO martian # env-update
>>> Regenerating /etc/ld.so.cache...
UFO martian # cat /etc/ld.so.conf
# ld.so.conf autogenerated by env-update; make all changes to
# contents of /etc/env.d directory
/usr/local/lib
//usr/lib/opengl/nvidia/lib
/usr/i686-pc-linux-gnu/lib
/usr/lib/gcc/i686-pc-linux-gnu/3.4.5
/usr/lib/mozilla
/usr/lib/openmotif-2.2
/opt/sun-jdk-1.4.2.10/jre/lib/i386/
/opt/sun-jdk-1.4.2.10/jre/lib/i386/native_threads/
/opt/sun-jdk-1.4.2.10/jre/lib/i386/classic/
/opt/sun-jdk-1.4.2.10/jre/lib/i386/server/
/usr/lib/nspr
/usr/lib/nss
/usr/games/lib
/usr/lib/fltk-1.1
/usr/lib/libstdc++-v3/
UFO martian #
Comment 7 Markus Dittrich (RETIRED) gentoo-dev 2006-01-14 04:47:15 UTC
Hi Ernestas,

Summarizing, it looks to me like the insecure RUNPATH issues with pari
are not due to a problem with that package itself but rather due to the fact that /usr/lib is missing from your /etc/ld.so.conf. Unfortunately, I am currently
at a loss why this is so and I have cc'ed the portage folks hoping that they
can shed some light on this.

Thanks,
Markus
Comment 8 Thierry Carrez (RETIRED) gentoo-dev 2006-01-15 09:27:00 UTC
Yes you miss critical things in your /etc/ld.so.conf, probably due to missing /etc/env.d files :

/lib
/usr/lib

This is not a security issue, reassigning temporarily to sci, feel free to reassign to someone else when you find the best man for the job.
Comment 9 SpanKY gentoo-dev 2006-01-19 01:37:17 UTC
uhh, no

first off, /lib and /usr/lib are not required to be in ld.so.conf (and the fact that they are placed there annoys me, but that's a diff story)

scanelf auto inserts /lib /usr/lib and /usr/local/lib in case ld.so.conf does not contain those values

if you read the output, it says:
/usr/lib: usr/bin/gp-2.1

that means gp-2.1 has a rpath of "/usr/lib" *and* ""

the "" rpath means that gp-2.1 will search in $PWD for libs
Comment 10 Markus Dittrich (RETIRED) gentoo-dev 2006-01-19 19:42:20 UTC
Created attachment 77608 [details, diff]
patch for pari-2.1.7 ebuild to remove insecure RUNPATHS
Comment 11 Markus Dittrich (RETIRED) gentoo-dev 2006-01-19 19:44:20 UTC
Created attachment 77609 [details, diff]
patch to remove executable stack
Comment 12 Markus Dittrich (RETIRED) gentoo-dev 2006-01-19 19:47:32 UTC
@SpanKY:

Thanks a lot for the clarification. That was very helpful:)

@ Ernestas:

I have attached a patch for the pari-2.1.7 ebuild as well as a patch
file that take care of the insecure RUNPATHS and the executable
stack (the TEXTRELS are still there at the moment). Please give it
a try and report back. 

Thanks,
Markus
Comment 13 Robert Baxter 2006-01-19 21:23:08 UTC
I also received this message on a couple of systems. So far it seems to be affecting very old installs only. If anyone can give me a way of reliably finding out the install date and medium (which release was used). I would be happy to test it out.

strip: i686-pc-linux-gnu-strip --strip-unneeded
   usr/bin/gp-2.1
   usr/lib/libpari.so.2.1.7
making executable: /usr/lib/libpari.so.2.1.7

QA Notice: the following files contain insecure RUNPATH's
 Please file a bug about this at http://bugs.gentoo.org/
 For more information on this issue, kindly review:
 http://bugs.gentoo.org/81745
/usr/lib: usr/bin/gp-2.1


!!! ERROR: sci-mathematics/pari-2.1.7 failed.
!!! Function dyn_install, Line 1057, Exitcode 0
!!! Insecure binaries detected
Comment 14 Ernestas Liubarskij 2006-01-20 07:46:01 UTC
Ok, thank's for these patches, Markus. Everything emerged fine, no warnings.

Robert, my system is about half year old. I built it using 2005.0 CD.
Comment 15 Markus Dittrich (RETIRED) gentoo-dev 2006-01-21 07:58:22 UTC
Created attachment 77723 [details, diff]
updated patch for pari-2.1.7.ebuild

Hi  Ernestas,

Thanks for testing! Unfortunately, my previous patch has the problem that
gp won't link properly unless libpari is already installed on the system, i.e. it
will break on new installs. The updated patch seems to work fine for me but
I'd appreciate if you'd give it a spin as well. It would be great if you could 
also check if pari builds properly for a new install, i.e. after unmerging 
your previous pari install (you can back it up with quickpkg first).
If it works I'll commit the changes into -r1.

Thanks,
Markus
Comment 16 Ernestas Liubarskij 2006-01-21 10:36:29 UTC
Ok, thank's for fixing it, pari-2.1.7 emerged fine with your second patch.
Comment 17 Markus Dittrich (RETIRED) gentoo-dev 2006-01-22 05:24:11 UTC
@ Ernestas: Thank you very much for testing!

I've just commited pari-2.1.7-r1 to the tree which should fix the 
insecure runpaths and the executable stack on x86.
Could we move this revision back into the stable tree?

Thanks,
Markus
Comment 18 Dean Baender 2006-02-16 18:30:14 UTC
Please move to the stable tree!
It's been over 3 weeks since this issue was fixed and having it stable would've saved me (and, I expect, others) lots of time not having to read through all of bug #81745 and this one.
Comment 19 Jakub Moc (RETIRED) gentoo-dev 2006-02-20 18:14:32 UTC
*** Bug 123557 has been marked as a duplicate of this bug. ***
Comment 20 Sergiy Borodych 2006-04-11 10:00:24 UTC
hey people what about put pari-2.1.7-r1 as stable ?
Comment 21 Stefan Cornelius (RETIRED) gentoo-dev 2006-04-11 10:33:28 UTC
arches please test and mark stable, thank you
Comment 22 Ferris McCormick (RETIRED) gentoo-dev 2006-04-11 11:02:03 UTC
(In reply to comment #21)
> arches please test and mark stable, thank you
> 

sparc stable.
Comment 23 Wormo (RETIRED) gentoo-dev 2006-04-11 22:02:38 UTC
stable on ppc
Comment 24 Fernando J. Pereda (RETIRED) gentoo-dev 2006-04-12 03:23:43 UTC
Looks fine on alpha. Alpha'lized!
Comment 25 Herbie Hopkins (RETIRED) gentoo-dev 2006-04-12 04:02:27 UTC
Stable on amd64.
Comment 26 René Nussbaumer (RETIRED) gentoo-dev 2006-04-14 06:29:03 UTC
stable on hppa
Comment 27 Mark Loeser (RETIRED) gentoo-dev 2006-04-14 12:24:45 UTC
x86 done
Comment 28 Michael Cummings (RETIRED) gentoo-dev 2006-04-26 15:12:12 UTC
I just came across this bug - dev-perl/math-pari was never bumped to reflect a hard dep against -r1. Do we need to?
Comment 29 Raphael Marichez (Falco) (RETIRED) gentoo-dev 2006-06-08 03:39:43 UTC
(In reply to comment #28)
> I just came across this bug - dev-perl/math-pari was never bumped to reflect a
> hard dep against -r1. Do we need to?
> 

it seems done now, i think this bug can be closed with noglsa.
Comment 30 Sune Kloppenborg Jeppesen gentoo-dev 2006-06-08 05:06:40 UTC
And another one Raphael.